#!/usr/bin/env python2
# -*- coding: utf8

from __future__ import print_function

"""
Append /usr/lib to the module search path.

This script must be installed in /usr/bin or in the PYTHONPATH, so that it can 
be imported as a module by our other python apps located in /usr/bin.

When run as a standalone script, displays info about PYTHONPATH and faster python 
package location.

Will be removed when we have a proper python setup and package.
"""

# Ada stuff is in /usr/lib
# python stuff is in /usr/lib

__faster_module_path__ = ['/usr/lib/', '/usr/lib/faster', '/usr/lib/faster/modules', '/usr/lib/faster/pyc_modules']

import sys
missing_path = [module_path for module_path in __faster_module_path__ if module_path not in sys.path ]

if missing_path is not None:
  sys.path.extend(missing_path)

if __name__ == '__main__':

  print('\nFASTER python module helper.\n')
  if len(sys.argv)!=1:
    print('This command has no parameter.\n')
  print('FASTER modules will be loaded from :')
  [ print('-', p) for p in sys.path ] #__faster_module_path__ ]
  print('')
  if missing_path is not None:
    print('The following path elements were not present in the default sys.path :')
    [ print('-', p) for p in missing_path ]
  else:
    print('No path element have been added to python\'s sys.path.')
  print('')
  try:
    import faster
  except:
    print('Could not load package faster.')
  else:
    print('Package faster is present :')
    [ print('-',a, ':', getattr(faster, a)) for a in dir(faster) if a!='__builtins__']
  print('')
  exit(0)
